using System;
using NinjaTrader.NinjaScript;

internal sealed class Delegate407 : MulticastDelegate
{
	public extern StrategyBase Invoke(object object_0);

	public static StrategyBase smethod_0(object object_0, Delegate407 delegate407_1)
	{
		return delegate407_1(object_0);
	}

	public extern Delegate407(object object_0, IntPtr intptr_0);

	static Delegate407()
	{
		Class10.smethod_13(typeof(Delegate407).TypeHandle);
	}

	internal static Delegate407 delegate407_0;
}
